Article ID: 123930, created on Dec 15, 2014, last review on Jun 19, 2016

  • Applies to:
  • Plesk 12.5 for Linux
  • Plesk 12.0 for Linux
  • Plesk 11.5 for Linux

Symptoms

Roundcube was installed on the server, but blank page appears while accessing mail server via webmail. Server has PHP 5.2 installed. PHP upgrade is not acceptable.

Cause

PHP version on server is less than as required by current Roundcube version. Roundcube required PHP 5.3:

[root@server ]# tailf /var/log/plesk-roundcube/errors
[18-Nov-2013 15:35:14 +0200]: DB Error: MySQL driver requires PHP >= 5.3, current version is 5.2.17 in /usr/share/psa-roundcube/program/lib/Roundcube/rcube_db_mysql.php on line 39 (GET /)
[18-Nov-2013 15:35:17 +0200]: DB Error: MySQL driver requires PHP >= 5.3, current version is 5.2.17 in /usr/share/psa-roundcube/program/lib/Roundcube/rcube_db_mysql.php on line 39 (GET /)
[18-Nov-2013 15:40:44 +0200]: DB Error: MySQL driver requires PHP >= 5.3, current version is 5.2.17 in /usr/share/psa-roundcube/program/lib/Roundcube/rcube_db_mysql.php on line 39 (GET /)
[18-Nov-2013 15:42:42 +0200]: DB Error: MySQL driver requires PHP >= 5.3, current version is 5.2.17 in /usr/share/psa-roundcube/program/lib/Roundcube/rcube_db_mysql.php on line 39 (GET /)
[18-Nov-2013 16:04:32 +0200]: DB Error: MySQL driver requires PHP >= 5.3, current version is 

Resolution

The server has PHP 5.2, but the application requires PHP 5.3.

[root@server ]# php -v
PHP 5.2.17 (cli) (built: Jan  7 2011 10:39:29)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2010 Zend Technologies
    with the ionCube PHP Loader v4.4.1, Copyright (c) 2002-2013, by ionCube Ltd.

You may downgrade Roundcube to 0.8.6 from 0.9.5 since 0.8.6 version supports PHP 5.2:

# rpm -e plesk-roundcube

# MYSQL_PWD=`cat /etc/psa/.psa.shadow` mysql -u admin
# MYSQL_PWD=`cat /etc/psa/.psa.shadow` mysqldump --extended-insert=FALSE --complete-insert=TRUE -uadmin roundcubemail > ~/roundcubemail.`date +%F.%s`.sql

mysql> drop database roundcubemail

rpm -Uvh http://autoinstall.pp.parallels.com/PSA_11.5.30/dist-rpm-CentOS-5-x86_64/opt/roundcube/plesk-roundcube-0.8.6-cos5.build115130812.16.noarch.rpm --force
/usr/local/psa/admin/bin/httpdmng --reconfigure-all

Edit the /etc/yum.conf file, add this line:

exclude=plesk-roundcube*

so it will not be upgraded later

Search Words

roundcuber php 5.3 mysql

roundcube blank page

DB Error: MySQL driver requires PHP >= 5.3, current version is 5.2.17 in /usr/share/psa-roundcube/program/lib/Roundcube/rcube_db_mysql.php on line 39 (GET /)

roundcube signature

Configuration error. Unsupported database driver: in /usr/share/psa-roundcube/program/lib/Roundcube/rcube.php on line 1160

roundcube send only same attachments

Configuration error. Unsupported database driver: in /usr/share/psa-roundcube/program/lib/Roundcube/rcube.php on line 1245

webmail not working

[06-Feb-2014 09:41:19 +0100]: DB Error: MySQL driver requires PHP >= 5.3, current version is 5.2.17 in /usr/share/psa-roundcube/program/lib/Roundcube/rcube_db_mysql.php on line 39 (GET /)

roundcube

white page roundcube

roundcube white page

a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c 01bc4c8cf5b7f01f815a7ada004154a2 29d1e90fd304f01e6420fbe60f66f838 0a53c5a9ca65a74d37ef5c5eaeb55d7f 2a5151f57629129e26ff206d171fbb5f e335d9adf7edffca6a8af8039031a4c7 742559b1631652fadd74764ae8be475e

Email subscription for changes to this article
Save as PDF